0 votes
131 views

Hi folks,

SIA service down? Bug?

Code fragment and error message below.I tried a few other surveys as well, so I'm guessing I've got the wrong syntax or the service is down/broken. Good hunting!

Cheers,

dave

### Code Fragment

DEF_ACCESS_URL = "https://datalab.noao.edu/sia/stripe82_nsa"
svc_stripe82 = sia.SIAService(DEF_ACCESS_URL)

ra = 335.0 # in degrees
dec = 0.0 # in degrees
fov = 0.1 # in degrees

imgTable = svc_stripe82.search((ra,dec), (fov/np.cos(dec*np.pi/180), fov), verbosity=2).to_table()

### Error Log

---------------------------------------------------------------------------
ValueError                                Traceback (most recent call last)
/data0/sw/anaconda3/lib/python3.7/site-packages/pyvo/dal/query.py in execute_votable(self, post)
    241         try:
--> 242             return votableparse(self.execute_stream(post=post).read)
    243         except Exception as e:

/data0/sw/anaconda3/lib/python3.7/site-packages/astropy/utils/decorators.py in wrapper(*args, **kwargs)
    534 
--> 535             return function(*args, **kwargs)
    536 

/data0/sw/anaconda3/lib/python3.7/site-packages/astropy/io/votable/table.py in parse(source, columns, invalid, verify, chunk_size, table_number, table_id, filename, unit_format, datatype_mapping, _debug_python_based_parser)
    166         return tree.VOTableFile(
--> 167             config=config, pos=(1, 1)).parse(iterator, config)
    168 

/data0/sw/anaconda3/lib/python3.7/site-packages/astropy/io/votable/tree.py in parse(self, iterator, config)
   3511 
-> 3512         for start, tag, data, pos in iterator:
   3513             if start:

ValueError: 1:49: syntax error

During handling of the above exception, another exception occurred:

DALServiceError                           Traceback (most recent call last)
<ipython-input-4-5f584f0e3b27> in <module>
      3 fov = 0.1 # in degrees
      4 
----> 5 imgTable = svc_stripe82.search((ra,dec), (fov/np.cos(dec*np.pi/180), fov), verbosity=2).to_table()

[SNIP]

DALServiceError: 502 Server Error: Proxy Error for url: https://datalab.noao.edu/sia/stripe82_nsa?POS=335.0%2C0.0&SIZE=0.1%2C0.1&FORMAT=ALL&INTERSECT=OVERLAPS&VERB=2
asked Feb 19 by dsilva (160 points) | 131 views

1 Answer

+1 vote
Best answer
Hi Dave,

I had to bounce the service to clear an out-of-memory error, please try again and let us know if the problem continues.

Cheers, -Mike
answered Feb 19 by datalab (12,020 points)
selected Feb 19 by dsilva
I just tested Dave's snippet and it worked. Came here to find Mike was already on it :)
BTW, thanks Dave for one of the clearest issue reports ever seen here!
Cheers,
Robert
Thanks Mike, thanks Robert. Confirmed it works on my side. Be well - dave

271 questions

273 answers

311 comments

1,841 users

Welcome to Data Lab Help Desk, where you can ask questions and receive answers from other members of the community.